﻿using System.Collections.Generic;

namespace TextCompare
{
    interface ICompareControl
    {
        IEnumerable<MatchPoint> GenerateComparedText(string source, string target);
        ITextMatcher TextMatcher(string sourceText, string targetText);
        double CorrectPercent { get; set; }
    }
}
