﻿using System;

namespace TextCompare
{
    [Serializable]
    public class MatchPoint
    {
        public MatchPoint(int x, int y)
        {
            this.X = x;
            this.Y = y;
        }

        public MatchPoint(int x, int y, Direction direction)
            : this(x, y)
        {
            this.Direction = direction;
        }

        public int X { get; set; }
        public int Y { get; set; }
        public Direction Direction { get; set; }
    }
}
